Invitation Letter Process

Requirements:


*  Full Name
*  Passport number
*  Arrive date
*  Departure date
*  Bursarie? if yes, forward the e-mail that indicate what bursarie you will have

Send a e-mail to visa@d.o, asking a Invitation letter.
